# Personal Dotfiles

This repository contains personalized configuration files/settings/scripts to set up my personal desktop environment.

You can peruse freely, but use any files/settings/snippets at your own risk.

## Install
- [Sublime Text](https://www.sublimetext.com/)
- [Sublime Merge](https://www.sublimemerge.com/)

## FFXIV

- Install game through [XIVLauncher](https://goatcorp.github.io/) to allow addons and enhancements to the game through [Dalamud](https://github.com/goatcorp/Dalamud).
- Install [INACT](https://www.iinact.com/) for combat tracking and meters (similar to [AC](https://advancedcombattracker.com/)).
  1. Open Dalamund >>> Settings.
  2. Under Experimental tab >>> Custom Plugin Repositories.
  3. Paste the URL for the IINACT plugin repository: `https://raw.githubusercontent.com/marzent/IINACT/main/repo.json`
  4. Click the `+` button and Save button.
  5. Open Dalamund >>> Plugins >>> Enable IINACT plugin.
- Install [LMeter](https://github.com/lichie567/LMeter) to display combat log data.
  - URL for LMeter plugin repository: `https://raw.githubusercontent.com/lichie567/LMeter/main/repo.json`

## Sublime Text

- Stored in the `/sublime-text` directory.

### Package Control
- Sublime Text packages are not installed automatically.
- First, manually install [Package Control](https://packagecontrol.io/) which will allow you to install other Sublime Text packages.

### Packages
- [A File Icon](https://github.com/SublimeText/AFileIcon)
- [Ayu](https://github.com/dempfi/ayu)
- [ColorHelper](https://facelessuser.github.io/ColorHelper/)
- [MarkdownPreview](https://github.com/facelessuser/MarkdownPreview)
- [Terminus](https://github.com/randy3k/Terminus)
